Subject: re: piperead arithmentic

From: Elliot Sowadsky <[email-masked]>
Date: Fri, 28 Mar 2003 22:48:54 -0800 (PST)

> piperead example in faq gives shell syntax error
>
>     AddToFunc   CenterWindow
>     + I ThisWindow Piperead "echo Move \
>       $(( $[vp.width]/2-$[w.width]/2 ))p \
>       $(( $[vp.height]/2-$[w.height]/2 ))p"
>
> sh complains about missing (
>
> Actually i'm trying to calculate which horizontal pager window i'm in
> when i click on it.

Ok, i figgered out how to do it (4 pages per desk, 2 desks).

AddToFunc GotoDesk_func
+	I PipeRead `[ $[desk.n] -eq 1 ] && echo Colorset 8 bg \\#70c050
+	I PipeRead `[ $[desk.n] -eq 0 ] && echo Colorset 8 bg \\#70b040
+	I PipeRead `echo GotoDeskAndPage \`echo $[desk.n] | tr 01 10\` \`eval expr $[pointer.wx] \\'*\\' 4 / $[w.width] \` 0

Mouse 2		W	N	PointerWindow (FvwmPager) GotoDesk_func

*FvwmPagerWindowColorsets 8 9
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]